Table of Contents

## Name

im_setbuf - sets an image descriptor to keep an image in ram

## Synopsis

#include <vips/vips.h>

IMAGE *im_setbuf(buffer_name)
char *buffer_image;

## Description

im_setbuf(3) returns an image descriptor which, when written to, will save pels in a memory buffer. It is generally more convenient to call im_open(3) .

## Return Value

The function returns a valid image descriptor on success or NULL on error.

## See Also

im_close(3) , im_open(3) , `VIPS Library Programmers' Guide,' in accompanying documentation.

## Copyright

N. Dessipris

## Author

N. Dessipris - 11/04/1990

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- SeeAlso
- Copyright
- Author